E: Unable to locate package snapd

I am getting this error while installing snapd in my raspberry pi-4

E: Unable to locate package snapd

can some one help me to resolve it

Hi. What OS are you running on the Pi 4?
What happens when you run “sudo apt update && sudo apt install snapd”? Could you paste the entire output?